package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileDirEnum {
    //0 banner 1 动态新闻 2活动 3专项资金 4政策导航 5 其他
    SERVICE_FILE_DIR_PUBLIC_BANNER(1, "banner"),
    //信息发布文件
    SERVICE_FILE_DIR_PUBLIC_NOTICE(2, "notice"),
    //信息发布文件
    SERVICE_FILE_DIR_PUBLIC_DYNAMIC(3, "dynamic"),
    //区划信息
    SERVICE_FILE_DIR_PUBLIC_DIVISION(7, "division"),
    //园区信息
    SERVICE_FILE_DIR_PUBLIC_PARK(8, "park"),
    //活动发布图片
    SERVICE_FILE_DIR_PUBLIC_ACTIVITY(9, "activity"),
    //文化速递
    SERVICE_FILE_DIR_PUBLIC_EXPRESS(13, "express"),
    //政策导航
    SERVICE_FILE_DIR_POLICY(14, "policy "),
    //他山之石
    SERVICE_FILE_DIR_STONE(19, "stone"),
    //专项资金
    SERVICE_FILE_DIR_SUPPORT(22, "support"),
    //其他
    SERVICE_FILE_DIR_OTHER(5, "other");

    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileDirEnum boundTypeEnum : ServiceFileDirEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
